Bug 241039 - selinux policy breaks creating LVM snapshots
selinux policy breaks creating LVM snapshots
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy-targeted (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-23 14:50 EDT by Laszlo Beres
Modified: 2012-10-16 04:13 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0544
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 11:39:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laszlo Beres 2007-05-23 14:50:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.2) Gecko/20070223 Firefox/2.0.0.2

Description of problem:
The selinux targeted policy prevents creating LVM snapshot LV. It breaks loading the appropriate module.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.4.6-30.el5

How reproducible:
Always


Steps to Reproduce:
1. lvcreate -L 16M -s -n data-backup /dev/volgroup/data 


Actual Results:
/sbin/modprobe: execlp failed: Permission denied
  /sbin/modprobe failed: 13
  snapshot: Required device-mapper target(s) not detected in your kernel
  lvcreate: Create a logical volume 

Expected Results:


Additional info:
The relevant logs:

avc: denied { execute } for comm="lvcreate" dev=hda2 egid=0 euid=0
exe="/usr/sbin/lvm" exit=-13 fsgid=0 fsuid=0 gid=0 items=0
name="modprobe" pid=2845 scontext=root:system_r:lvm_t:s0-s0:c0.c1023
sgid=0 subj=root:system_r:lvm_t:s0-s0:c0.c1023 suid=0 tclass=file
tcontext=system_u:object_r:insmod_exec_t:s0 tty=pts0 uid=0
Comment 1 Daniel Walsh 2007-05-23 15:40:32 EDT
Fixed in selinux-policy-2.4.6-73
Comment 2 RHEL Product and Program Management 2007-05-23 15:44:04 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 errata-xmlrpc 2007-11-07 11:39:48 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0544.html

Note You need to log in before you can comment on or make changes to this bug.